/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import { HTMLStencilElement, JSXBase } from '@stencil/core/internal';


export namespace Components {
  interface AddAssignment {}
  interface AddCourse {}
  interface AppFooter {}
  interface AppHome {}
  interface AppLogin {}
  interface AppProfile {
    'name': string;
  }
  interface AppRegistration {}
  interface AppRoot {
    'CrudService': CrudService;
  }
  interface AssignmentCard {}
  interface ColorPicker {}
  interface CourseInfo {
    'course': {id: number, name:string, number:string, section:string, term:string, instructor:string};
  }
  interface EditCourseInfo {
    'course': {id: number, name:string, number:string, section:string, term:string, instructor:string};
  }
  interface EditProfile {
    'user': {id: number, first_name:string, last_name:string, email:string};
  }
  interface EmptyAssignments {}
  interface MyAssignments {}
  interface MyCourses {}
  interface MyCoursesCard {}
  interface MyProfile {}
  interface NoCourses {}
  interface SyllabusUpload {}
}

declare global {


  interface HTMLAddAssignmentElement extends Components.AddAssignment, HTMLStencilElement {}
  var HTMLAddAssignmentElement: {
    prototype: HTMLAddAssignmentElement;
    new (): HTMLAddAssignmentElement;
  };

  interface HTMLAddCourseElement extends Components.AddCourse, HTMLStencilElement {}
  var HTMLAddCourseElement: {
    prototype: HTMLAddCourseElement;
    new (): HTMLAddCourseElement;
  };

  interface HTMLAppFooterElement extends Components.AppFooter, HTMLStencilElement {}
  var HTMLAppFooterElement: {
    prototype: HTMLAppFooterElement;
    new (): HTMLAppFooterElement;
  };

  interface HTMLAppHomeElement extends Components.AppHome, HTMLStencilElement {}
  var HTMLAppHomeElement: {
    prototype: HTMLAppHomeElement;
    new (): HTMLAppHomeElement;
  };

  interface HTMLAppLoginElement extends Components.AppLogin, HTMLStencilElement {}
  var HTMLAppLoginElement: {
    prototype: HTMLAppLoginElement;
    new (): HTMLAppLoginElement;
  };

  interface HTMLAppProfileElement extends Components.AppProfile, HTMLStencilElement {}
  var HTMLAppProfileElement: {
    prototype: HTMLAppProfileElement;
    new (): HTMLAppProfileElement;
  };

  interface HTMLAppRegistrationElement extends Components.AppRegistration, HTMLStencilElement {}
  var HTMLAppRegistrationElement: {
    prototype: HTMLAppRegistrationElement;
    new (): HTMLAppRegistrationElement;
  };

  interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {}
  var HTMLAppRootElement: {
    prototype: HTMLAppRootElement;
    new (): HTMLAppRootElement;
  };

  interface HTMLAssignmentCardElement extends Components.AssignmentCard, HTMLStencilElement {}
  var HTMLAssignmentCardElement: {
    prototype: HTMLAssignmentCardElement;
    new (): HTMLAssignmentCardElement;
  };

  interface HTMLColorPickerElement extends Components.ColorPicker, HTMLStencilElement {}
  var HTMLColorPickerElement: {
    prototype: HTMLColorPickerElement;
    new (): HTMLColorPickerElement;
  };

  interface HTMLCourseInfoElement extends Components.CourseInfo, HTMLStencilElement {}
  var HTMLCourseInfoElement: {
    prototype: HTMLCourseInfoElement;
    new (): HTMLCourseInfoElement;
  };

  interface HTMLEditCourseInfoElement extends Components.EditCourseInfo, HTMLStencilElement {}
  var HTMLEditCourseInfoElement: {
    prototype: HTMLEditCourseInfoElement;
    new (): HTMLEditCourseInfoElement;
  };

  interface HTMLEditProfileElement extends Components.EditProfile, HTMLStencilElement {}
  var HTMLEditProfileElement: {
    prototype: HTMLEditProfileElement;
    new (): HTMLEditProfileElement;
  };

  interface HTMLEmptyAssignmentsElement extends Components.EmptyAssignments, HTMLStencilElement {}
  var HTMLEmptyAssignmentsElement: {
    prototype: HTMLEmptyAssignmentsElement;
    new (): HTMLEmptyAssignmentsElement;
  };

  interface HTMLMyAssignmentsElement extends Components.MyAssignments, HTMLStencilElement {}
  var HTMLMyAssignmentsElement: {
    prototype: HTMLMyAssignmentsElement;
    new (): HTMLMyAssignmentsElement;
  };

  interface HTMLMyCoursesElement extends Components.MyCourses, HTMLStencilElement {}
  var HTMLMyCoursesElement: {
    prototype: HTMLMyCoursesElement;
    new (): HTMLMyCoursesElement;
  };

  interface HTMLMyCoursesCardElement extends Components.MyCoursesCard, HTMLStencilElement {}
  var HTMLMyCoursesCardElement: {
    prototype: HTMLMyCoursesCardElement;
    new (): HTMLMyCoursesCardElement;
  };

  interface HTMLMyProfileElement extends Components.MyProfile, HTMLStencilElement {}
  var HTMLMyProfileElement: {
    prototype: HTMLMyProfileElement;
    new (): HTMLMyProfileElement;
  };

  interface HTMLNoCoursesElement extends Components.NoCourses, HTMLStencilElement {}
  var HTMLNoCoursesElement: {
    prototype: HTMLNoCoursesElement;
    new (): HTMLNoCoursesElement;
  };

  interface HTMLSyllabusUploadElement extends Components.SyllabusUpload, HTMLStencilElement {}
  var HTMLSyllabusUploadElement: {
    prototype: HTMLSyllabusUploadElement;
    new (): HTMLSyllabusUploadElement;
  };
  interface HTMLElementTagNameMap {
    'add-assignment': HTMLAddAssignmentElement;
    'add-course': HTMLAddCourseElement;
    'app-footer': HTMLAppFooterElement;
    'app-home': HTMLAppHomeElement;
    'app-login': HTMLAppLoginElement;
    'app-profile': HTMLAppProfileElement;
    'app-registration': HTMLAppRegistrationElement;
    'app-root': HTMLAppRootElement;
    'assignment-card': HTMLAssignmentCardElement;
    'color-picker': HTMLColorPickerElement;
    'course-info': HTMLCourseInfoElement;
    'edit-course-info': HTMLEditCourseInfoElement;
    'edit-profile': HTMLEditProfileElement;
    'empty-assignments': HTMLEmptyAssignmentsElement;
    'my-assignments': HTMLMyAssignmentsElement;
    'my-courses': HTMLMyCoursesElement;
    'my-courses-card': HTMLMyCoursesCardElement;
    'my-profile': HTMLMyProfileElement;
    'no-courses': HTMLNoCoursesElement;
    'syllabus-upload': HTMLSyllabusUploadElement;
  }
}

declare namespace LocalJSX {
  interface AddAssignment extends JSXBase.HTMLAttributes<HTMLAddAssignmentElement> {}
  interface AddCourse extends JSXBase.HTMLAttributes<HTMLAddCourseElement> {}
  interface AppFooter extends JSXBase.HTMLAttributes<HTMLAppFooterElement> {}
  interface AppHome extends JSXBase.HTMLAttributes<HTMLAppHomeElement> {}
  interface AppLogin extends JSXBase.HTMLAttributes<HTMLAppLoginElement> {}
  interface AppProfile extends JSXBase.HTMLAttributes<HTMLAppProfileElement> {
    'name'?: string;
  }
  interface AppRegistration extends JSXBase.HTMLAttributes<HTMLAppRegistrationElement> {}
  interface AppRoot extends JSXBase.HTMLAttributes<HTMLAppRootElement> {
    'CrudService'?: CrudService;
  }
  interface AssignmentCard extends JSXBase.HTMLAttributes<HTMLAssignmentCardElement> {}
  interface ColorPicker extends JSXBase.HTMLAttributes<HTMLColorPickerElement> {}
  interface CourseInfo extends JSXBase.HTMLAttributes<HTMLCourseInfoElement> {
    'course'?: {id: number, name:string, number:string, section:string, term:string, instructor:string};
  }
  interface EditCourseInfo extends JSXBase.HTMLAttributes<HTMLEditCourseInfoElement> {
    'course'?: {id: number, name:string, number:string, section:string, term:string, instructor:string};
  }
  interface EditProfile extends JSXBase.HTMLAttributes<HTMLEditProfileElement> {
    'user'?: {id: number, first_name:string, last_name:string, email:string};
  }
  interface EmptyAssignments extends JSXBase.HTMLAttributes<HTMLEmptyAssignmentsElement> {}
  interface MyAssignments extends JSXBase.HTMLAttributes<HTMLMyAssignmentsElement> {}
  interface MyCourses extends JSXBase.HTMLAttributes<HTMLMyCoursesElement> {}
  interface MyCoursesCard extends JSXBase.HTMLAttributes<HTMLMyCoursesCardElement> {}
  interface MyProfile extends JSXBase.HTMLAttributes<HTMLMyProfileElement> {}
  interface NoCourses extends JSXBase.HTMLAttributes<HTMLNoCoursesElement> {}
  interface SyllabusUpload extends JSXBase.HTMLAttributes<HTMLSyllabusUploadElement> {}

  interface IntrinsicElements {
    'add-assignment': AddAssignment;
    'add-course': AddCourse;
    'app-footer': AppFooter;
    'app-home': AppHome;
    'app-login': AppLogin;
    'app-profile': AppProfile;
    'app-registration': AppRegistration;
    'app-root': AppRoot;
    'assignment-card': AssignmentCard;
    'color-picker': ColorPicker;
    'course-info': CourseInfo;
    'edit-course-info': EditCourseInfo;
    'edit-profile': EditProfile;
    'empty-assignments': EmptyAssignments;
    'my-assignments': MyAssignments;
    'my-courses': MyCourses;
    'my-courses-card': MyCoursesCard;
    'my-profile': MyProfile;
    'no-courses': NoCourses;
    'syllabus-upload': SyllabusUpload;
  }
}

export { LocalJSX as JSX };


declare module "@stencil/core" {
  export namespace JSX {
    interface IntrinsicElements extends LocalJSX.IntrinsicElements {}
  }
}


